Failed to process package 'diagnostic_aggregator': Kinetic/ROS/RPi3

asked 2019-10-26 23:12:28 -0500

Ashkr gravatar image

Hi, Please help me to resolve this error while setting up ROS Kinetic on RPi3. Here is the log...

==> Processing catkin package: 'diagnostic_aggregator' ==> Building with env: '/opt/ros/kinetic/env.sh' Makefile exists, skipping explicit cmake invocation... ==> make cmake_check_build_system in '/home/pi/ros_catkin_ws/build_isolated/diagnostic_aggregator' ==> make -j4 -l4 in '/home/pi/ros_catkin_ws/build_isolated/diagnostic_aggregator' [ 0%] Built target diagnostic_msgs_generate_messages_cpp Scanning dependencies of target diagnostic_aggregator [ 16%] Building CXX object CMakeFiles/diagnostic_aggregator.dir/src/analyzer_group.cpp.o [ 16%] Building CXX object CMakeFiles/diagnostic_aggregator.dir/src/status_item.cpp.o [ 33%] Building CXX object CMakeFiles/diagnostic_aggregator.dir/src/generic_analyzer.cpp.o [ 33%] Building CXX object CMakeFiles/diagnostic_aggregator.dir/src/discard_analyzer.cpp.o [ 41%] Building CXX object CMakeFiles/diagnostic_aggregator.dir/src/ignore_analyzer.cpp.o [ 50%] Building CXX object CMakeFiles/diagnostic_aggregator.dir/src/aggregator.cpp.o [ 58%] Linking CXX shared library /home/pi/ros_catkin_ws/devel_isolated/diagnostic_aggregator/lib/libdiagnostic_aggregator.so [ 58%] Built target diagnostic_aggregator Scanning dependencies of target analyzer_loader Scanning dependencies of target aggregator_node [ 75%] Building CXX object CMakeFiles/aggregator_node.dir/src/aggregator_node.cpp.o [ 75%] Building CXX object CMakeFiles/analyzer_loader.dir/test/analyzer_loader.cpp.o [ 83%] Linking CXX executable /home/pi/ros_catkin_ws/devel_isolated/diagnostic_aggregator/lib/diagnostic_aggregator/aggregator_node [ 91%] Linking CXX executable /home/pi/ros_catkin_ws/devel_isolated/diagnostic_aggregator/lib/diagnostic_aggregator/analyzer_loader /usr/bin/ld: warning: libboost_thread.so.1.58.0, needed by /opt/ros/kinetic/lib/libroslib.so, may conflict with libboost_thread.so.1.67.0 /usr/bin/ld: warning: libboost_thread.so.1.58.0, needed by /opt/ros/kinetic/lib/libroslib.so, may conflict with libboost_thread.so.1.67.0 /usr/bin/ld: warning: libboost_chrono.so.1.58.0, needed by /opt/ros/kinetic/lib/libroslib.so, may conflict with libboost_chrono.so.1.67.0 /usr/bin/ld: warning: libboost_chrono.so.1.58.0, needed by /opt/ros/kinetic/lib/libroslib.so, may conflict with libboost_chrono.so.1.67.0 /usr/bin/ld: warning: libboost_system.so.1.58.0, needed by /opt/ros/kinetic/lib/libroslib.so, may conflict with libboost_system.so.1.67.0 /usr/bin/ld: warning: libboost_system.so.1.58.0, needed by /opt/ros/kinetic/lib/libroslib.so, may conflict with libboost_system.so.1.67.0 /usr/bin/ld: warning: libboost_date_time.so.1.58.0, needed by /opt/ros/kinetic/lib/libroslib.so, may conflict with libboost_date_time.so.1.67.0 /usr/bin/ld: warning: libboost_date_time.so.1.58.0, needed by /opt/ros/kinetic/lib/libroslib.so, may conflict with libboost_date_time.so.1.67.0 /usr/bin/ld: warning: libboost_atomic.so.1.58.0, needed by /opt/ros/kinetic/lib/libroslib.so, may conflict with libboost_atomic.so.1.67.0 /usr/bin/ld: warning: libboost_atomic.so.1.58.0, needed by /opt/ros/kinetic/lib/libroslib.so, may conflict with libboost_atomic.so.1.67.0 /usr/bin/ld: warning: libboost_filesystem.so.1.58.0, needed by /opt/ros/kinetic/lib/libroslib.so, may conflict with libboost_filesystem.so.1.67.0 /usr/bin/ld: warning: libboost_filesystem.so.1.58.0, needed by /opt/ros/kinetic/lib/libroslib.so, may conflict ... (more)

edit retag flag offensive close merge delete

Comments

What makes this failure so odd is that in order to pass this step you have to remove libboost1.67 then install 1.58. Doing this will pass this step but will cause RVIZ to fail almost near the end which needs the v-1.67

I would love is some one can point at a solution for this.

Face gravatar image Face  ( 2020-08-14 19:16:34 -0500 )edit